[SRU] 2.41

Bug #1840740 reported by Michael Vogt on 2019-08-20
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
snapd (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Disco
Undecided
Unassigned

Bug Description

This is a new version of snapd.

The changelog is available here https://github.com/snapcore/snapd/blob/2.41/packaging/ubuntu-16.04/changelog, the raw git changelog is available here: https://github.com/snapcore/snapd/commits/2.41 (note that the debian changelog is auto-generated from the merges of the git commits so there is usually no need to look at the raw git commits).

The travis logs for 2.41 can be found here: https://travis-ci.org/snapcore/snapd/branches

The snappy team released a new release that we want SRU into xenial. The new process described in https://wiki.ubuntu.com/SnapdUpdates was used and we have done integration-tests on the snappy images, autopkgtests on classic and unit tests.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd - 2.41+19.10.1

---------------
snapd (2.41+19.10.1) eoan; urgency=medium

  * cherry-pick https://github.com/snapcore/snapd/pull/7380

 -- Michael Vogt <email address hidden> Fri, 30 Aug 2019 11:42:43 +0200

Changed in snapd (Ubuntu):
status: New → Fix Released

Hello Michael, or anyone else affected,

Accepted snapd into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.41+19.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in snapd (Ubuntu Disco):
status: New → Fix Committed
tags: added: verification-needed verification-needed-disco
Steve Langasek (vorlon) wrote :

snapd 2.41 includes the following packaging change vs the 2.40 currently in bionic:

--- snapd-2.40+18.04/debian/snapd.maintscript 2019-07-12 08:40:08.000000000 +0000
+++ snapd-2.41+18.04/debian/snapd.maintscript 2019-08-30 06:56:16.000000000 +0000
@@ -2,4 +2,4 @@
 # we used to ship a custom grub config that is no longer needed
 rm_conffile /etc/grub.d/09_snappy 1.7.3ubuntu1
 rm_conffile /etc/ld.so.conf.d/snappy.conf 2.0.7~
-rm_conffile /etc/apparmor.d/usr.lib.snapd.snap-confine 2.23.6~
+rm_conffile /etc/apparmor.d/usr.lib.snapd.snap-confine 2.23.6~ snap-confine

I can't see any explanation in the changelog for this change and it is not obviously correct. This needs documentation and a test case.

Changed in snapd (Ubuntu Bionic):
status: New → Incomplete
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd - 2.42.1+18.04

---------------
snapd (2.42.1+18.04) bionic; urgency=medium

  * New upstream release, LP: #1846181
    - interfaces: de-duplicate emitted update-ns profiles
    - packaging: tweak handling of usr.lib.snapd.snap-confine
    - interfaces: allow introspecting network-manager on core
    - tests/main/interfaces-contacts-service: disable on openSUSE
      Tumbleweed
    - tests/lib/lxd-snapfuse: restore mount changes introduced by LXD
    - snap: fix default-provider in seed validation
    - tests: update system-usernames test now that opensuse-15.1 works
    - overlord: set fake sertial in TestRemodelSwitchToDifferentKernel
    - gadget: rename "boot{select,img}" -> system-boot-{select,image}
    - tests: listing test, make accepted snapd/core versions consistent

 -- Michael Vogt <email address hidden> Wed, 30 Oct 2019 13:17:43 +0100

Changed in snapd (Ubuntu Bionic):
status: Incomplete → Fix Released
Steve Langasek (vorlon) wrote :

This is an SRU exception bug and doesn't need separate validation vs LP: #1846181 which supersedes it.

tags: added: verification-done-disco
removed: verification-needed-disco
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd - 2.42.1+19.04

---------------
snapd (2.42.1+19.04) disco; urgency=medium

  * New upstream release, LP: #1846181
    - interfaces: de-duplicate emitted update-ns profiles
    - packaging: tweak handling of usr.lib.snapd.snap-confine
    - interfaces: allow introspecting network-manager on core
    - tests/main/interfaces-contacts-service: disable on openSUSE
      Tumbleweed
    - tests/lib/lxd-snapfuse: restore mount changes introduced by LXD
    - snap: fix default-provider in seed validation
    - tests: update system-usernames test now that opensuse-15.1 works
    - overlord: set fake sertial in TestRemodelSwitchToDifferentKernel
    - gadget: rename "boot{select,img}" -> system-boot-{select,image}
    - tests: listing test, make accepted snapd/core versions consistent

 -- Michael Vogt <email address hidden> Wed, 30 Oct 2019 13:17:43 +0100

Changed in snapd (Ubuntu Disco):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers